Debian Bug report logs - #528644
jigdo-file: jigdo-mirror always reports 'Error - template checksum mismatch'

version graph

Package: jigdo-file; Maintainer for jigdo-file is Richard Atterer <atterer@debian.org>; Source for jigdo-file is src:jigdo.

Reported by: Andrew Lee <andrew@linux.org.tw>

Date: Thu, 14 May 2009 11:09:02 UTC

Severity: grave

Found in version jigdo/0.7.3-2

Fixed in version jigdo/0.7.3-3

Done: Richard Atterer <atterer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard Atterer <atterer@debian.org>:
Bug#528644; Package jigdo-file. (Thu, 14 May 2009 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
New Bug report received and forwarded. Copy sent to Richard Atterer <atterer@debian.org>. (Thu, 14 May 2009 11:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jigdo-file: jigdo-mirror always reports 'Error - template checksum mismatch'
Date: Thu, 14 May 2009 19:06:03 +0800
Package: jigdo-file
Version: 0.7.3-2
Severity: grave

Dear Maintainer,

I am the mirror admin of ftp.tw.d.o. I found jigdo-mirror keep reports
'Error - template checksum mismatch' even the templates checksum are all 
correct.

On our website[0], we encouraged mirror admins as 'Mirroring using 
jigdo-mirror is recommended'. And provided cd-mirror script[1] to help 
when setting this up.

I am one of the mirror admin who following the information on our 
website. And I believe I won't be the only one. So this bug may breaks 
many debian-cd mirrors all over the world.

Please consider this as a RC bug and fix in Lenny.

Thank you.

[0] http://www.debian.org/CD/mirroring/
[1] http://www.acc.umu.se/~maswan/debian-push/cdimage/

Adam Lackorzynski on IRC #debian-mirrors provided a patch to solve this 
problem.
--- jigdo-mirror~       2009-02-12 23:28:45.606473882 +0100
+++ jigdo-mirror        2009-02-12 23:28:56.256487990 +0100
@@ -350,7 +350,7 @@
           section="$1";;
         Filename) image="$2";;
         Template) templateURI="$2";;
-        Template-MD5Sum) templateMD5="$2";;
+        Template-MD5Sum) __templateMD5="$2";;
         ShortInfo) shift; shortInfo="$*";;
         Info) shift; info="$*";;
       esac


-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Richard Atterer <atterer@debian.org>:
Bug#528644; Package jigdo-file. (Tue, 22 Dec 2009 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Richard Atterer <atterer@debian.org>. (Tue, 22 Dec 2009 18:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 528644@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: Andrew Lee <andrew@linux.org.tw>, 528644@bugs.debian.org
Subject: Re: Bug#528644: jigdo-file: jigdo-mirror always reports 'Error - template checksum mismatch'
Date: Tue, 22 Dec 2009 12:24:49 -0600
Dear Andrew,

On Thu, May 14, 2009 at 07:06:03PM +0800, Andrew Lee wrote:
> I am the mirror admin of ftp.tw.d.o. I found jigdo-mirror keep reports
> 'Error - template checksum mismatch' even the templates checksum are all 
> correct.
> 
> On our website[0], we encouraged mirror admins as 'Mirroring using 
> jigdo-mirror is recommended'. And provided cd-mirror script[1] to help 
> when setting this up.
> 
> I am one of the mirror admin who following the information on our 
> website. And I believe I won't be the only one. So this bug may breaks 
> many debian-cd mirrors all over the world.
> 
> Please consider this as a RC bug and fix in Lenny.

Could you please let me know if the bug is fixed using the following
patch?

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=418694.diff.txt;att=1;bug=418694

If it does, then I can request someone to push a fix to Lenny. I know
that it's rather late, but I'd still appreciate it if you could let me
know.

Thanks.

Kumar
-- 
God, the Great Giver, can open the whole universe to our gaze in the narrow space of a single land.
- Rabindranath Tagore




Reply sent to Richard Atterer <atterer@debian.org>:
You have taken responsibility. (Sun, 03 Jan 2010 17:06:17 GMT) Full text and rfc822 format available.

Notification sent to Andrew Lee <andrew@linux.org.tw>:
Bug acknowledged by developer. (Sun, 03 Jan 2010 17:06:17 GMT) Full text and rfc822 format available.

Message #15 received at 528644-close@bugs.debian.org (full text, mbox):

From: Richard Atterer <atterer@debian.org>
To: 528644-close@bugs.debian.org
Subject: Bug#528644: fixed in jigdo 0.7.3-3
Date: Sun, 03 Jan 2010 17:03:19 +0000
Source: jigdo
Source-Version: 0.7.3-3

We believe that the bug you reported is fixed in the latest version of
jigdo, which is due to be installed in the Debian FTP archive:

jigdo-file_0.7.3-3_amd64.deb
  to main/j/jigdo/jigdo-file_0.7.3-3_amd64.deb
jigdo_0.7.3-3.diff.gz
  to main/j/jigdo/jigdo_0.7.3-3.diff.gz
jigdo_0.7.3-3.dsc
  to main/j/jigdo/jigdo_0.7.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528644@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Richard Atterer <atterer@debian.org> (supplier of updated jigdo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Dec 2009 17:46:15 +0100
Source: jigdo
Binary: jigdo-file
Architecture: source amd64
Version: 0.7.3-3
Distribution: unstable
Urgency: low
Maintainer: Richard Atterer <atterer@debian.org>
Changed-By: Richard Atterer <atterer@debian.org>
Description: 
 jigdo-file - Download Debian CD images from any Debian mirror
Closes: 370384 413574 418694 507993 515285 516053 528644 548482
Changes: 
 jigdo (0.7.3-3) unstable; urgency=low
 .
   * Brown paper bag bugfix release
   * Non-versioned dependency on libdb-dev rather than libdb4.6-dev.
     Closes: #548482
   * No longer build GUI application and "jigdo" package, since the GUI
     will remain unfinished. :~-| Only build "jigdo-file" package.
     Closes: #515285, #413574, #370384, #516053
   * Updated debian-mirrors.jigdo from current Mirrors.masterlist
   * Workaround for problem with "jigdo-file md5sum" together with
     "--no-check-files". Closes: #418694, #528644
     Quite possibly also Closes: #507993
   * Refer to "GPL-2" rather than "GPL" file in copyright file (lintian)
   * Avoid warning of man about the jigdo-file.1 manpage (lintian)
   * Fixed doc-base section of debian-jigdo-mini-howto (lintian)
Checksums-Sha1: 
 3029655a818eaceaaaf39c27c0df9991c11b16a7 997 jigdo_0.7.3-3.dsc
 56eb75f002d994633adaf2941d903a39971275d5 18929 jigdo_0.7.3-3.diff.gz
 8258dbe32421fb4cdc4ea5a0536d37f4842e9596 207822 jigdo-file_0.7.3-3_amd64.deb
Checksums-Sha256: 
 04b40726f85867b7eca57996009d82a05f7f858804d390818e00b4c3321ad5f4 997 jigdo_0.7.3-3.dsc
 483b70b0f26006003d091c94dc804b4751c72eaf172498ef36e8a5a7c797e432 18929 jigdo_0.7.3-3.diff.gz
 c124bbf8f7d7574e6132b736048fd96421c891376a26c4d8abfefa783872f7a6 207822 jigdo-file_0.7.3-3_amd64.deb
Files: 
 092455f5c09647579f4cf6673283dae5 997 utils extra jigdo_0.7.3-3.dsc
 9f1982b4b744a33748430e039b87b78e 18929 utils extra jigdo_0.7.3-3.diff.gz
 9f0d0017ccf1044edcb35c62fc5d0ecd 207822 utils extra jigdo-file_0.7.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktAxWgACgkQeeb23IiDVPf86ACdEL7ygXC/S59Gha8c8yz85ydx
CKMAn1QEqnrj23V964BQDvbuKamQW4BM
=K3e6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:57:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:45:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.